### Hierarchy

- MasterDetailNavService

## Index

### Properties

- _detailNav
- _isDetailVisible
- _isViewChanging
- _masterNav
- _parentNav
- selectedItem
- useParentNav

### Accessors

- detailNav
- masterNav
- parentNav

### Methods

- hideDetail
- onDetailVisibilityChanged
- pushDetail
- pushMaster
- showDetail

## Properties

### _detailNav

_detailNav: Nav

- Defined in other/master-detail/master-detail-nav.service.ts:9

### _isDetailVisible

_isDetailVisible: boolean

- Defined in other/master-detail/master-detail-nav.service.ts:11

### _isViewChanging

_isViewChanging: boolean = false

- Defined in other/master-detail/master-detail-nav.service.ts:12

### _masterNav

_masterNav: Nav

- Defined in other/master-detail/master-detail-nav.service.ts:8

### _parentNav

_parentNav: Nav

- Defined in other/master-detail/master-detail-nav.service.ts:10

### selectedItem

selectedItem: any

- Defined in other/master-detail/master-detail-nav.service.ts:14

### useParentNav

useParentNav: boolean

- Defined in other/master-detail/master-detail-nav.service.ts:13

## Accessors

### detailNav

- get detailNav(): Nav
- set detailNav(nav: Nav): void

- - Defined in other/master-detail/master-detail-nav.service.ts:24

  #### Returns Nav

- - Defined in other/master-detail/master-detail-nav.service.ts:28

  #### Parameters

  - ##### nav: Nav

  #### Returns void

### masterNav

- get masterNav(): Nav
- set masterNav(nav: Nav): void

- - Defined in other/master-detail/master-detail-nav.service.ts:16

  #### Returns Nav

- - Defined in other/master-detail/master-detail-nav.service.ts:20

  #### Parameters

  - ##### nav: Nav

  #### Returns void

### parentNav

- get parentNav(): Nav
- set parentNav(nav: Nav): void

- - Defined in other/master-detail/master-detail-nav.service.ts:32

  #### Returns Nav

- - Defined in other/master-detail/master-detail-nav.service.ts:36

  #### Parameters

  - ##### nav: Nav

  #### Returns void

## Methods

### hideDetail

- hideDetail(parentNav: Nav): Promise<any>

- - Defined in other/master-detail/master-detail-nav.service.ts:77

  #### Parameters

  - ##### parentNav: Nav

  #### Returns Promise<any>

### onDetailVisibilityChanged

- onDetailVisibilityChanged(isDetailVisible: boolean, parentNav: Nav): void

- - Defined in other/master-detail/master-detail-nav.service.ts:53

  #### Parameters

  - ##### isDetailVisible: boolean

  - ##### parentNav: Nav

  #### Returns void

### pushDetail

- pushDetail(page: any, params: any): void

- - Defined in other/master-detail/master-detail-nav.service.ts:40

  #### Parameters

  - ##### page: any

  - ##### params: any

  #### Returns void

### pushMaster

- pushMaster(page: any, params: any): void

- - Defined in other/master-detail/master-detail-nav.service.ts:49

  #### Parameters

  - ##### page: any

  - ##### params: any

  #### Returns void

### showDetail

- showDetail(parentNav: Nav): Promise<any>

- - Defined in other/master-detail/master-detail-nav.service.ts:60

  #### Parameters

  - ##### parentNav: Nav

  #### Returns Promise<any>

Generated using TypeDoc